> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Create TDS or TCS certificate job

> Create a certificate generation job for Form 130, 131, or 133 with a TAN and tax period. Retrieve the job ID to check its status.

<Note>
  Before you create a certificate job, [add the TRACES credentials](/api-reference/tds/compliance/traces-credentials/endpoints/save_credential) for the TAN. If the credentials already exist, you do not need to add them again.
</Note>

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#how-it-works) for job creation and status polling.

  Use `130` for salary TDS, `131` for other TDS, and `133` for TCS in the `certificate_type` path parameter. Set the `form` request field to the matching JSON string, such as `"131"`.
</Note>

Use the returned `job_id` to [check the certificate job status](/api-reference/tds/compliance/certificates/endpoints/poll_job).


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/traces/deductors/forms/{certificate_type}
openapi: 3.1.0
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS Compliance Check
  - name: Download CSI
  - name: FVU Generation
  - name: E-File TDS Return
  - name: TDS
  - name: TDS Certificate
  - name: TRACES Credentials
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}:
    post:
      tags:
        - TDS
        - TDS Certificate
      summary: Create TDS or TCS certificate job
      description: >-
        Create an asynchronous certificate generation job for the selected
        certificate type, tax year, quarter, and TAN. Use the returned job ID
        with the status endpoint to track the job.
      operationId: SubmitCertificateJob
      parameters:
        - name: certificate_type
          in: path
          description: >-
            Certificate type. Use 130 for salary TDS, 131 for other TDS, or 133
            for TCS.
          required: true
          example: '131'
          schema:
            type: string
            enum:
              - '130'
              - '131'
              - '133'
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  description: Request entity type.
                  examples:
                    - in.co.sandbox.tds.compliance.certificate.job.request
                quarter:
                  type: string
                  description: Quarter of the tax year.
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                tax_year:
                  type: string
                  description: >-
                    Tax year for the certificate request. Use the TY YYYY-YY
                    format.
                  examples:
                    - TY 2026-27
                form:
                  type: string
                  description: >-
                    Certificate form. Use 130 for salary TDS, 131 for other TDS,
                    or 133 for TCS.
                  enum:
                    - '130'
                    - '131'
                    - '133'
                tan:
                  type: string
                  description: Tax Deduction and Collection Account Number (TAN).
                  examples:
                    - AHMS45586C
              required:
                - '@entity'
                - quarter
                - tax_year
                - form
                - tan
            examples:
              Submit form 133 job:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.request
                  quarter: Q1
                  tax_year: TY 2026-27
                  form: '133'
                  tan: AHMS45586C
                summary: Submit form 133 job
              Submit form 131 job:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.request
                  quarter: Q1
                  tax_year: TY 2026-27
                  form: '131'
                  tan: AHMS45586C
                summary: Submit form 131 job
              Invalid Request Body:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.request
                  quarter: Q1
                  tax_year: FY 2026-27
                  form: '131'
                  tan: AHMS45586C
                summary: Invalid Request Body
        required: true
      responses:
        '200':
          description: Certificate generation job created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  data:
                    type: object
                    properties:
                      created_at:
                        type: integer
                        description: Unix timestamp when the job was created.
                      '@entity':
                        type: string
                        description: Response entity type.
                      job_id:
                        type: string
                        description: Unique identifier for the certificate generation job.
                      tan:
                        type: string
                        description: Tax Deduction and Collection Account Number (TAN).
                      tax_year:
                        type: string
                        description: Tax year for the certificate request.
                      quarter:
                        type: string
                        description: Quarter of the tax year.
                      form:
                        type: string
                        description: Certificate form used for the job.
                        enum:
                          - '130'
                          - '131'
                          - '133'
                      status:
                        type: string
                        description: Current status of the certificate generation job.
                        enum:
                          - created
                          - queued
                          - in_progress
                          - succeeded
                          - failed
                    required:
                      - created_at
                      - '@entity'
                      - job_id
                      - tan
                      - tax_year
                      - quarter
                      - form
                      - status
                  transaction_id:
                    type: string
                    description: Unique identifier for the API transaction.
                required:
                  - code
                  - timestamp
                  - data
                  - transaction_id
              examples:
                Submit form 133 job:
                  summary: Submit form 133 job
                  value:
                    code: 200
                    timestamp: 1788770941235
                    data:
                      created_at: 1788770941288
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: e75e7d3d-0a44-4454-bfa5-3a2ce3caa2a0
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '133'
                      status: created
                    transaction_id: e75e7d3d-0a44-4454-bfa5-3a2ce3caa2a0
                Submit form 131 job:
                  summary: Submit form 131 job
                  value:
                    code: 200
                    timestamp: 1788771381210
                    data:
                      created_at: 1788771384109
                      '@entity': in.co.sandbox.tds.compliance.certificate.job
                      job_id: 518bf6d5-be9d-4723-8fee-2382919fb605
                      tan: AHMS45586C
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '131'
                      status: created
                    transaction_id: 518bf6d5-be9d-4723-8fee-2382919fb605
          headers: {}
        '400':
          description: The request body or certificate parameters are invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  message:
                    type: string
                  transaction_id:
                    type: string
                required:
                  - code
                  - timestamp
                  - message
                  - transaction_id
              examples:
                Invalid Request Body:
                  summary: Invalid Request Body
                  value:
                    code: 400
                    timestamp: 1788771428630
                    message: Invalid request body
                    transaction_id: 934e030b-e094-4533-84ad-8e68d234a6db
          headers: {}
      deprecated: false
      security: []

````